﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CreditEventReceiver_Sample
{
    [Serializable]
    public class WebServiceResult
    {
        protected int _resultCode;

        protected string _resultMessage = string.Empty;

        protected ExceptionInfo _exceptionInfo = null;

        protected bool success = false;

        public WebServiceResult()
        { }

        public bool Success
        {
            get { return success; }
            set { success = value; }
        }

        public int ResultCode
        {
            get { return _resultCode; }
            set { _resultCode = value; success = _resultCode == 0; }
        }

        public string ResultMessage
        {
            get { return _resultMessage; }
            set { _resultMessage = value; }
        }

        public ExceptionInfo ExceptionInfo
        {
            get { return _exceptionInfo; }
            set { _exceptionInfo = value; }
        }
    }
}